EDIT - feature request #8476

Implement support for TermCollection.isFlat in TaxEditor
08/16/2019 03:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.24

Severity: normal

Description

Often term collections are meant to be a flat list or set without hierarchical dependencies. For these collections there is the new flag
"isFlat" now. This should be used in the TaxEditor.

thereis-a-hierarchy). Maybe we should also have this as a validation rule that this is not
as well.

possible to save. -> This we

should do

5. The New... menu to create new Term collection should have an alternative to create a flat "tree"/collection. => #9643
6. Default-should-be-a-hierarchical-collection:

This is strongly related to #8474

Related issues:

Related to EDIT - feature request #6794: Improve term structure In Progress
Related to EDIT - feature request #8474: Make TermCollection.orderRelevant us... Closed
Related to EDIT - feature request #8477: Implement support for TermCollection... Closed
Related to EDIT - bug #8776: Open issues for TermCollection.allowDuplicates h... Closed
Related to EDIT - bug #8774: Reimplement term tree editors to implement the g... Closed
Related to EDIT - feature request #9337: Open issues for reimplementation of ... Closed
Copied to EDIT - feature request #9643: New menu in term tree editor should h... Rejected

Associated revisions

Revision 4f2c16a0 - 12/13/2019 10:03 AM - Patrick Plitzner
ref #8476, #8474, #7994, #8477 Add checkboxes for term tree flags

Revision d800b880 - 12/13/2019 12:46 PM - Patrick Plitzner
ref #8476, #8474 Set isFlat to false when creating a term tree

Revision 88b50562 - 05/31/2021 09:24 AM - Katja Luther

ref #8476: do not show create child if tree is flat

Revision e866a450 - 05/31/2021 09:37 AM - Katja Luther
ref #8476: do not allow d&d to a child

Revision 8acf6617 - 05/31/2021 10:24 AM - Katja Luther
ref #8476: add check for subtrees

Revision 3d3a68f0 - 05/31/2021 10:26 AM - Katja Luther
ref #8476: disable flat flag if tree has subtrees

Revision 12e7c169 - 06/02/2021 09:01 AM - Katja Luther
ref #8476: fix d&d in flat tree and cleanup
https://dev.e-taxonomy.eu/redmine/issues/9643
https://dev.e-taxonomy.eu/redmine/issues/8474

Revision 57a53d78 - 06/02/2021 10:17 AM - Katja Luther

fix #8476: fix paste not allowed for nodes if tree is flat

History

#1 - 08/16/2019 03:10 PM - Andreas Miiller

- Related to feature request #6794: Improve term structure added

#2 - 08/16/2019 03:10 PM - Andreas Miiller

- Related to feature request #8474: Make TermCollection.orderRelevant usable for TermTrees added

#3 - 08/16/2019 03:38 PM - Andreas Miiller

- Related to feature request #8477: Implement support for TermCollection.allowDuplicates in TaxEditor added

#4 - 11/25/2019 02:49 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Katja Luther

- Priority changed from New to Highest

#5 - 12/13/2019 12:44 PM - Patrick Plitzner

- Description updated

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.12

- % Done changed from 0 to 20

#6 - 12/13/2019 12:45 PM - Patrick Plitzner

- Description updated

#7 - 12/17/2019 01:47 PM - Andreas Miiller
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Muiller to Katja Luther

Only the flag is editable until now so | put this back to InProgress.

#8 - 12/17/2019 01:47 PM - Andreas Miiller
- Related to bug #8776: Open issues for TermCollection.allowDuplicates handling in TaxEditor added

#9 - 12/17/2019 01:53 PM - Andreas Miuller

Note: saving often does not work due to issues to be solved in #8774

#10 - 12/17/2019 01:53 PM - Andreas Miiller

- Related to bug #8774: Reimplement term tree editors to implement the general save strategy added

#11 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#12 - 03/10/2020 09:54 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

move to 5.14

#13 - 03/31/2020 11:15 AM - Katja Luther

- Target version changed from Release 5.14 to Release 5.15

#14 - 06/24/2020 06:54 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18
#15 - 12/03/2020 08:32 PM - Andreas Miiller

- Related to feature request #9337: Open issues for reimplementation of termtree editors added

#16 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#17 - 04/19/2021 02:19 PM - Katja Luther

- Target version changed from Release 5.19 to Release 5.25

#18 - 05/31/2021 09:25 AM - Katja Luther

- Description updated

#19 - 05/31/2021 09:37 AM - Katja Luther

- Description updated

#20 - 05/31/2021 10:27 AM - Katja Luther

- Description updated

#21 - 06/01/2021 09:40 PM - Andreas Miiller
- Description updated

- % Done changed from 20 to 40

#22 - 06/01/2021 09:52 PM - Andreas Miiller
- Description updated

- Status changed from In Progress to Feedback

d&ad is still available for moving a term to become a child of another term node. Instead the "is flat" flag is disabled in details view (which is correct in a
way because the flag should not be editable for a real tree, but it should never become a tree when the flag is set).

Also "paste" from menu is still available.

#23 - 06/01/2021 09:53 PM - Andreas Miiller

Please also test for d&d from vocabulary editor. | have not tested yet.

#24 - 06/01/2021 09:54 PM - Andreas Miiller

- Copied to feature request #9643: New menu in term tree editor should have alternatives for flags added

#25 - 06/02/2021 09:04 AM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Mtiller

Andreas Muller wrote:

Please also test for d&d from vocabulary editor. | have not tested yet.

With the last commit the d&d is fixed also for d&d from vocabulary.

#26 - 06/02/2021 10:17 AM - Katja Luther
- % Done changed from 40 to 50

Applied in changeset taxeditor|57a53d78c9cac39492c450ea46b24dc207de55fc.

#27 - 06/03/2021 10:39 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from Release 5.25 to Release 5.24

- % Done changed from 50 to 100
This seems to be fully fixed now. | move it back to 5.24 as it was fixed there.
Only open issue (menu) was moved to #9643.
